DragonFly BSD
DragonFly users List (threaded) for 2004-12
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: Getting tired of 5.3

From: Joerg Sonnenberger <joerg@xxxxxxxxxxxxxxxxx>
Date: Tue, 14 Dec 2004 18:31:01 +0100

On Tue, Dec 14, 2004 at 10:42:17AM -0600, Guillermo Garcia Rojas wrote:
> I updated to 5.3 from 4.10 and it was hell, all my ports broke because of
> /lib/libm.so.2 and the version bumped to libm.so.3, so I installed 5.3
> from scratch. I don't want to pass for the same on moving to DragonFly. Is
> this going to broke all the ports too if I move to DragonFly?

Coming from FreeBSD 5.3, you will have to recompile / reinstall.
If you upgrade from 4.10, you don't need to rebuild normal applications,
just those depending on OS near parts (e.g. programs dealing with process
lists, CAM etc.). If / when the threading work for userland starts, there
will definitely be a libc major bump, which will be used to clean up some
cruft too and prepare a better future handling.

> On the other hand, I have trouble on compiling libgtop2 port on DF, but I
> can live without it, and X.org does not recognize the wheel on my mouse (I
> use the same XF86Config file in both FreeBSD and DF.

Does the wheel mouse work in FreeBSD 4.10? Does it work if you use XFree86
and not X.org?

> Should I move on now? that's the big question.

You are the final authority. Don't listen to what I say. INSTALL DRAGONFLY!


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]